<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >

<!-- Mbius, 10.08.2009 -->

 <head>
  <title>Fehlmengen</title>
  <link rel="stylesheet" href="Format.css" type="text/css" />
 </head>
 <body>
  <h1>Alle Artikel mit Fehlmengen</h1>
  <?php
    //Datenbankverbindung herstellen
    $mServer="localhost";
    $mBenutzer = "root";
    $mKennwort = "";
    $mDatenbank = "haro";
    $dbVerbindung = new mysqli($mServer, $mBenutzer, $mKennwort, $mDatenbank);
    // Datenbankverbindung hergestellt ?
    if(mysqli_connect_errno() == 0)
    { // SQL-Anweisung bilden
      $mSQL = "SELECT artikelnr, bezeichnung, bestand, meldebest, meldebest - bestand as Fehlmenge
               FROM artikel
               WHERE bestand <= meldeBest
               ORDER BY Fehlmenge DESC;";
      $abfrageErgebnis = $dbVerbindung->query($mSQL);
?>
      <table>
        <colgroup>
          <col width="50" />
          <col width="250" />
          <col width="50" />
          <col width="50" />
          <col width="50" />
        </colgroup>
        <tr>
          <th>Artikelnr</th>
          <th>Bezeichnung</th>
          <th>Bestand</th>
          <th>Meldebestand</th>
          <th>Fehlmenge</th>
        </tr>
<?php
      while ($aktuellerArtikel = $abfrageErgebnis->fetch_object())
           {  echo "<tr><td>$aktuellerArtikel->artikelnr</td>";
              echo "<td> $aktuellerArtikel->bezeichnung </td>";
              echo "<td class = 'rechts'>";
              echo number_format($aktuellerArtikel->bestand, 0, ",", ".");
              echo "</td><td class = 'rechts'>";
              echo number_format($aktuellerArtikel->meldebest, 0, ",", ".");
              echo "</td><td class = 'rechts'>";
              echo number_format($aktuellerArtikel->Fehlmenge, 0, ",", ".");
              echo "</td></tr>";
           }
      echo "</table>";
      // Ergebnistabelle schlieen
      $abfrageErgebnis->close;
      // Datenbankobjekt schlieen
      $dbVerbindung->close();
    }
  else
    { echo "<h2>Keine Datenbankverbindung</h2>";
      echo "<p>Fehler: ", mysqli_connect_error(), "</p>";
    }
?>
 </body>
</html>