<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >

<!-- Mbius, 10.08.2009 -->

 <head>
  <title>Kunden mit Umsatz</title>
  <link rel="stylesheet" href="Format.css" type="text/css" />
 </head>
 <body>
  <h1>Kunden mit Umsatz</h1>
  <?php
    //Datenbankverbindung herstellen
    $mServer="localhost";
    $mBenutzer = "root";
    $mKennwort = "";
    $mDatenbank = "haro";
    $dbVerbindung = new mysqli($mServer, $mBenutzer, $mKennwort, $mDatenbank);
    // Datenbankverbindung hergestellt ?
    if(mysqli_connect_errno() == 0)
    { // SQL-Anweisung bilden
      $mSQL = "SELECT auftragskoepfe.kdnr, kunden.name,
               SUM(auftragspositionen.aufmenge * artikel.vkpreis) AS Umsatz
               FROM kunden, auftragskoepfe, auftragspositionen, artikel
               WHERE kunden.kdnr = auftragskoepfe.kdnr
               AND auftragskoepfe.aufnr = auftragspositionen.aufnr
               AND auftragspositionen.artikelnr = artikel.artikelnr
               GROUP BY auftragskoepfe.kdnr, kunden.name
               ORDER BY auftragskoepfe.kdnr;";
      $abfrageErgebnis = $dbVerbindung->query($mSQL);
?>
      <table>
        <colgroup>
          <col width="50" />
          <col width="200" />
          <col width="100" />
        </colgroup>
        <tr>
          <th>Kundennr</th>
          <th>Name</th>
          <th>Umsatz</th>
        </tr>
<?php
      while ($aktuellerKunde = $abfrageErgebnis->fetch_object())
        {   echo "<tr><td>$aktuellerKunde->kdnr</td>";
            echo "<td>$aktuellerKunde->name</td>";
            echo "<td class = 'rechts'>";
            echo number_format($aktuellerKunde->Umsatz, 2, ",", ".");
            echo "</td>";
        }
      echo "</table>";
      // Ergebnistabelle schlieen
      $abfrageErgebnis->close;
      // Datenbankobjekt schlieen
      $dbVerbindung->close();
    }
  else
    { echo "<h2>Keine Datenbankverbindung</h2>";
      echo "<p>Fehler: ", mysqli_connect_error(), "</p>";
    }
?>
 </body>
</html>