<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >

<head>
<title>Kunden ohne Auftrge</title>
<link rel="stylesheet" href="Format.css" type="text/css" />
</head>
<body>
<?php
   // Datenbankvariable festlegen
   $mServer="localhost";
   $mBenutzer = "root";
   $mKennwort = "";
   $mDatenbank = "haro";

   // Datenbankverbindung herstellen
   $dbVerbindung = new mysqli($mServer, $mBenutzer, $mKennwort, $mDatenbank);
   // Datenbankverbindung hergestellt ?
   if(mysqli_connect_errno() == 0)
    {   // SQL-Befehl erstellen
        $mSQL = "SELECT kunden.kdnr, kunden.name FROM kunden
                 LEFT JOIN auftragskoepfe ON kunden.kdnr = auftragskoepfe.kdnr
                 WHERE auftragskoepfe.kdnr IS NULL
                 ORDER BY kunden.kdnr;";
        // abfrageErgebnis mit mSQL bilden,
        // das die ausgewhlten Datenstze aus der Datenbank enthlt
        $abfrageErgebnis = $dbVerbindung->query($mSQL);
        // ist $abfrageErgebnis leer ?
        if ($abfrageErgebnis->num_rows == 0)
         {   echo "Alle Kunden haben etwas bestellt.";
         }
        else
         {   echo "<h2>Liste der Kunden ohne Auftrge</h2>";
             echo "<table width='700'>";
             echo "<colgroup><col width='50' class='mittig' />";
             echo "<col width='150' class='links' />";
             echo "</colgroup>";
             echo "<tr><th>KdNr</th><th>Name</th></tr>";
             while ($aktuellerKunde = $abfrageErgebnis->fetch_object())
              {  echo "<tr><td>$aktuellerKunde->kdnr</td>";
                 echo "<td>$aktuellerKunde->name</td>";
              }
             echo "</table>";
         }
      // Ergebnistabelle schliessen
      $abfrageErgebnis-> close;
      // Datenbankobjekt schliessen
      $dbVerbindung->close();
    }
    else
    {  echo "<h2>Keine Datenbankverbindung</h2>";
       echo "<p>Fehler: ", mysqli_connect_error(), "</p>";
    }
?>
</body>
</html>